Update filter variable values

PUT
/api/v1/filters/{id}/items/variable

Update the variable values of a specified filter.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the filter to update variable values for.

Formatuuid

Request Body

application/json

The details of the filter variable values to update.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/filters/497f6eca-6276-4993-bfeb-53cbbbba6f08/items/variable" \  -H "Content-Type: application/json" \  -d '{    "qlikVariableId": "243793b8-7d79-48ef-a71b-7aaaf2295f51",    "variableValue": "string"  }'
Empty